class VecPoint {
  double x = 0;
  double y = 0;
  double dx = 0;
  double dy = 0;

  static VecPoint average(VecPoint left, VecPoint right) {
    return VecPoint()
      ..x = (left.x + right.x) / 2
      ..y = (left.y + right.y) / 2
      ..dx = (left.dx + right.dx) / 2
      ..dy = (left.dy + right.dy) / 2;
  }
}
